Package org.eclipse.jdt.junit.model

## Class ITestElement.Result

- java.lang.Object
- - org.eclipse.jdt.junit.model.ITestElement.Result

Enclosing interface:
  ITestElement

    public static final class ITestElement.Result
    extends Object

Result states of a test.

### Field Summary

Fields
`static ITestElement.Result` `ERROR` state that describes that the test result is 'Error'
`static ITestElement.Result` `FAILURE` state that describes that the test result is 'Failure'
`static ITestElement.Result` `IGNORED` state that describes that the test result is 'Ignored'
`static ITestElement.Result` `OK` state that describes that the test result is 'OK'
`static ITestElement.Result` `UNDEFINED` state that describes that the test result is undefined

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### UNDEFINED

    public static final ITestElement.Result UNDEFINED

state that describes that the test result is undefined

#### OK

    public static final ITestElement.Result OK

state that describes that the test result is 'OK'

#### ERROR

    public static final ITestElement.Result ERROR

state that describes that the test result is 'Error'

#### FAILURE

    public static final ITestElement.Result FAILURE

state that describes that the test result is 'Failure'

#### IGNORED

    public static final ITestElement.Result IGNORED

state that describes that the test result is 'Ignored'

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`